Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.queries
Class EqRelQueryExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--org.huihoo.jfox.jmx.queries.EqRelQueryExp

All Implemented Interfaces:
  QueryExp, java.io.Serializable

public class EqRelQueryExp
extends QueryEval
implements QueryExp

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.QueryEval
`server`

Constructor Summary
`EqRelQueryExp(ValueExp _leftExp, ValueExp _rightExp)`

Method Summary
`boolean` | `apply(ObjectName objectname)` Applies the QueryExp on an MBean.
`ValueExp` | `getLeftValue()`
`ValueExp` | `getRightValue()`
`java.lang.String` | `toString()`

Methods inherited from class javax.management.QueryEval
`setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.QueryExp
`setMBeanServer`

Constructor Detail

### EqRelQueryExp

    public EqRelQueryExp(ValueExp _leftExp,
                         ValueExp _rightExp)

Method Detail

### getLeftValue

    public ValueExp getLeftValue()

### getRightValue

    public ValueExp getRightValue()

### apply

    public boolean apply(ObjectName objectname)
                  throws BadStringOperationException,
                         BadBinaryOpValueExpException,
                         BadAttributeValueExpException,
                         InvalidApplicationException

  Description copied from interface: `QueryExp`
  Applies the QueryExp on an MBean.

  Specified by:
    `apply` in interface `QueryExp`
  Parameters:
    `objectname` - The name of the MBean on which the QueryExp will be applied.
  Returns:
    True if the query was successfully applied to the MBean, false otherwise
  Throws:
    `InvalidApplicationException`
    `BadAttributeValueExpException`
    `BadBinaryOpValueExpException`
    `BadStringOperationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD